Skip to main content
PUT
/
v0
/
persistent-servers
Update a persistent server
curl --request PUT \
  --url https://controller.platform.simplecloud.app/v0/persistent-servers \
  --header 'Content-Type: application/json' \
  --header 'X-Network-ID: <x-network-id>' \
  --header 'X-Network-Secret: <x-network-secret>' \
  --data '
{
  "active": true,
  "max_memory": 2048,
  "max_players": 50,
  "min_memory": 1024,
  "name": "my-persistent-server",
  "priority": 10,
  "properties": {},
  "serverhost_id": "123e4567-e89b-12d3-a456-426614174000",
  "source": {
    "blueprint": "123e4567-e89b-12d3-a456-426614174000",
    "image": "ghcr.io/user/custom-image:latest",
    "type": "blueprint"
  },
  "tags": [
    "<string>"
  ],
  "type": "SERVER",
  "workflows": {
    "manual": [
      "<string>"
    ],
    "when": {
      "start": [
        "<string>"
      ],
      "stop": [
        "<string>"
      ]
    }
  }
}
'
import requests

url = "https://controller.platform.simplecloud.app/v0/persistent-servers"

payload = {
"active": True,
"max_memory": 2048,
"max_players": 50,
"min_memory": 1024,
"name": "my-persistent-server",
"priority": 10,
"properties": {},
"serverhost_id": "123e4567-e89b-12d3-a456-426614174000",
"source": {
"blueprint": "123e4567-e89b-12d3-a456-426614174000",
"image": "ghcr.io/user/custom-image:latest",
"type": "blueprint"
},
"tags": ["<string>"],
"type": "SERVER",
"workflows": {
"manual": ["<string>"],
"when": {
"start": ["<string>"],
"stop": ["<string>"]
}
}
}
headers = {
"X-Network-ID": "<x-network-id>",
"X-Network-Secret": "<x-network-secret>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'X-Network-ID': '<x-network-id>',
'X-Network-Secret': '<x-network-secret>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
active: true,
max_memory: 2048,
max_players: 50,
min_memory: 1024,
name: 'my-persistent-server',
priority: 10,
properties: {},
serverhost_id: '123e4567-e89b-12d3-a456-426614174000',
source: {
blueprint: '123e4567-e89b-12d3-a456-426614174000',
image: 'ghcr.io/user/custom-image:latest',
type: 'blueprint'
},
tags: ['<string>'],
type: 'SERVER',
workflows: {manual: ['<string>'], when: {start: ['<string>'], stop: ['<string>']}}
})
};

fetch('https://controller.platform.simplecloud.app/v0/persistent-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "active": true,
  "created_at": "2023-01-01T12:00:00Z",
  "max_memory": 2048,
  "max_players": 50,
  "min_memory": 1024,
  "name": "my-persistent-server",
  "persistent_server_id": "123e4567-e89b-12d3-a456-426614174000",
  "player_count": 0,
  "priority": 10,
  "properties": {},
  "serverhost_id": "123e4567-e89b-12d3-a456-426614174000",
  "source": {
    "blueprint": "123e4567-e89b-12d3-a456-426614174000",
    "image": "ghcr.io/user/custom-image:latest",
    "type": "blueprint"
  },
  "tags": [
    "<string>"
  ],
  "type": "SERVER",
  "updated_at": "2023-01-01T12:00:00Z",
  "workflows": {
    "manual": [
      "<string>"
    ],
    "when": {
      "start": [
        "<string>"
      ],
      "stop": [
        "<string>"
      ]
    }
  }
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Headers

X-Network-ID
string
required

Network ID

X-Network-Secret
string
required

Network Secret

Query Parameters

persistent_server_id
string
required

Persistent Server ID

Body

application/json

Persistent server details

Request to update an existing persistent server

active
boolean
Example:

true

max_memory
integer
Example:

2048

max_players
integer
Example:

50

min_memory
integer
Example:

1024

name
string
Example:

"my-persistent-server"

priority
integer
Example:

10

properties
object
serverhost_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

source
object

Source configuration for server groups

tags
string[]
type
string
Example:

"SERVER"

workflows
object

Workflows configuration for server groups

Response

OK

Response for updating a persistent server

active
boolean
Example:

true

created_at
string
Example:

"2023-01-01T12:00:00Z"

max_memory
integer
Example:

2048

max_players
integer
Example:

50

min_memory
integer
Example:

1024

name
string
Example:

"my-persistent-server"

persistent_server_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

player_count
integer
Example:

0

priority
integer
Example:

10

properties
object
serverhost_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

source
object

Source configuration for server groups

tags
string[]
type
string
Example:

"SERVER"

updated_at
string
Example:

"2023-01-01T12:00:00Z"

workflows
object

Workflows configuration for server groups